#!/bin/sh
#       X-image.sh,     communuty:
#  Copyright Help Ltd. 2001, 2002, 2003
#  Ivanov Arcady : arc@help0.ru
#
# X-image.sh - ,       CD-
#       "koi8-r",   CD    
#
# -----------    CD-RW -----------------
#    /dev/cdwriter, /dev/sg?, /dev/scd0
#
#  LDAP:
#       cdwriter  LDAP.
#    LDAP   cdwriter  /etc/group   
#
#
WAV=.wav
for file in *.mp3

    do mpg321 -v "$file" -w  /var/tmp/"$file$WAV"

done

typeset -i size

size=`du /var/tmp -cm |grep '\|total' | awk '{print $1}'`

echo " :" ${size} ""

sleep 1

if [ $size -gt 699 ]
then
   if [ $size -gt 799 ]
   then
      	echo ",   >= 800Mb, size="$size"Mb"
      	echo "    "
       	exit 1
    fi
	echo ",   >= 700Mb, size="$size"Mb"
	echo -n "?"
    ok="N"
    read ok
    overburn=""
    if [ "$ok" = "Y" -o $ok = "y" ]
    then
        overburn="-overburn"
        echo ",   :) "
    else
    	echo "    "
    	exit 1
    fi
fi


echo "====================================="

ans1="N"
ans3="16"
ans4="N"
MSINFO=""

if [ "$1" != "-f" ] ; then

    echo -n "  ( CD-RW) [Y/N]?"
    read ans1

    if [ "$ans1" = "N" -o "$ans1" = "n" ];  then
        echo -n "    [Y/N]?"
        read ans4
    fi

    if [ "$ans4" = "Y" -o "$ans4" = "y" ] ; then
        MSINFO=`cdrecord -msinfo -dev=$ans2`
        MSINFO="-M $ans2 -C $MSINFO"
#        MSINFO="-C $MSINFO"
    fi

else
    ans1="Y"
fi



cdrecord  -swab -pad -eject -v speed=40 dev=0,0,0 -audio /var/tmp/*.wav

rm /var/tmp/*.wav
